Bug 107287 - Have CMS javadoc link to Core Javadoc
Have CMS javadoc link to Core Javadoc
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: documentation (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
http://ccm.redhat.com/documentation/a...
: FutureFeature
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2003-10-16 11:46 EDT by Mike Bonnet
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 11:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Bonnet 2003-10-16 11:46:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701
Galeon/1.3.9

Description of problem:
In the CMS javadoc, references to Core classes should be links, the same way
they are for references to J2SE classes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. View CMS javadoc
2.
3.
    

Actual Results:  References to Core classes are plain text, not links to Core
javadoc

Expected Results:  References should be links

Additional info:

This is now possible because javadoc accepts multiple -link options.
Comment 1 Vadim Nasardinov 2003-10-16 12:26:32 EDT
I've always wondered how the javadoc util decides which of the
multiple external URLs to use, when creating an href.

Turns out that

    The -link option requires that a file named package-list, which is
    generated by Javadoc, exist at the URL you specify with -link. The
    package-list file is a simple text file that lists the names of
    packages documented at that location.

    For example, the package list for the Java 2 Platform v1.3 API is
    located at
    http://java.sun.com/products/jdk/1.3/docs/api/package-list. and
    starts out as follows:

      java.applet  
      java.awt
      java.awt.color
      java.awt.datatransfer
      java.awt.dnd
      java.awt.event
      java.awt.font

See
http://java.sun.com/j2se/1.3/docs/tooldocs/solaris/javadoc.html#link
for details.

Anyhow, the bottom line is, we have to jump through additional
hoops to make javadoc correctly resolve references to core classes.

See also
http://java.sun.com/j2se/1.3/docs/tooldocs/solaris/javadoc.html#howaclassmustbereferenced
Comment 2 Dennis Gregorovic 2003-12-08 13:55:25 EST
Is this bug saying that CMS Javadoc in a development should link to
Core Javadoc from that same development environment (or machine), or
just that the canonical CMS Javadoc on rhea.redhat.com should link to
the canonical Core Javadoc on rhea.redhat.com?
Comment 3 Mike Bonnet 2003-12-08 14:30:59 EST
The latter (canonical CMS Javadoc should link to canonical Core Javadoc).
Comment 4 Dennis Gregorovic 2004-03-24 13:36:02 EST
The 6.1 javadoc is now live and cms links to core.
http://rhea.redhat.com/documentation/api/
Comment 5 Dennis Gregorovic 2005-03-17 11:58:00 EST
closing old tickets

Note You need to log in before you can comment on or make changes to this bug.